module Hawl.Session.Types (SessionID, Session(..)) where

import Hawl.User.Types
import System.Time (CalendarTime)

type SessionID = Int

data Session = Session {
                        sessionID :: SessionID,
                        sessionUser :: Maybe UserID,
                        sessionStarted :: CalendarTime,
                        sessionLastUse :: CalendarTime
                       }
             deriving (Show,Eq)